# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakePlane Class Reference

This class implements the mapping between classes
Plane from StepGeom which describes a plane from
Prostep and Plane form Geom.
.

`#include <StepToGeom_MakePlane.hxx>`

Inheritance diagram for StepToGeom_MakePlane:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakePlane (const Handle(StepGeom_Plane)&P)
Standard_EXPORT const Handle_Geom_Plane & | Value () const

## Private Attributes

Handle_Geom_Plane | thePlane

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakePlane::StepToGeom_MakePlane | ( | const Handle(StepGeom_Plane)& | P | ) |

## Member Function Documentation

void StepToGeom_MakePlane::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakePlane::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakePlane::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Plane& StepToGeom_MakePlane::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Plane StepToGeom_MakePlane::thePlane `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakePlane.hxx